import { SourceFile } from 'ts-morph';
export declare class ImportDriver {
    /**
     * Create import in file
     *
     * @param sourceFile
     * @param modules
     * @param path
     * @return void
     */
    static createImportItems(sourceFile: SourceFile, path: string, items: string[]): void;
    /**
     * From the items array, only non-repeating items are returned.
     *
     * @param sourceFile
     * @param moduleNames
     * @return string[]
     */
    static getUniqueImportItems(sourceFile: SourceFile, items: string[]): string[];
    /**
     * Return import paths from source
     *
     * @param sourceFile
     * @return string[]
     */
    static getImportPaths(sourceFile: SourceFile): string[];
    /**
     * Return import items from source
     *
     * @param sourceFile
     * @return string[]
     */
    static getImportedDeclarations(sourceFile: SourceFile): string[];
    static hasImportDeclarations(sourceFile: SourceFile, declaration: string): boolean;
}
